Subject: bug#29006: closed (Re: bug#29006: gunzip does not works with an uppercase suffix)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 29 Oct 2017 17:10:02 +0000

Your bug report

#29006: gunzip does not works with an uppercase suffix

which was filed against the gzip package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29006: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29006
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29006: gunzip does not works with an uppercase suffix
From: Jim Meyering <[email-masked]>
To: Meo Bogliolo <[email-masked]>
Cc: [email-masked]
Date: Sun, 29 Oct 2017 10:09:15 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Oct 29, 2017 at 7:09 AM, Meo Bogliolo
<[email-masked]> wrote:
> On 29/10/2017 15:06 , Jim Meyering wrote:
>>
>> On Sun, Oct 29, 2017 at 6:51 AM, Jim Meyering <[email-masked]> wrote:
>>>
>>> On Wed, Oct 25, 2017 at 11:21 PM, meo (XeniaLab) <[email-masked]> wrote:
>>>>
>>>> its seems that gunzip does not works with uppercase suffixes...
>>>
>>> Thank you for the report. That is a bug, indeed. Here is a small
>>> reproducer:
>>>
>>>    $ :|gzip > kT && gzip -d -S T kT
>>>    gzip: kT: unknown suffix -- ignored
>>>
>>> I have a fix and will post it shortly.
>>
>> Thanks again. Here's the patch.
>> I've attributed your email address in the commit log.
>> If you'd prefer I use a name, tell me what to use soon.
>> Once I push, that log message cannot be modified.
>
> The email is fine thanks You!

Thanks. Pushed.

Subject: gunzip does not works with an uppercase suffix
From: "meo (XeniaLab)" <[email-masked]>
To: [email-masked]
Date: Thu, 26 Oct 2017 08:21:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

its seems that gunzip does not works with uppercase suffixes...

Sample:
gzip pippo.txt
mv pippo.txt.gz pippo.txt.gz_Tape
gunzip -S gz_Tape pippo.txt.gz_Tape
*gunzip: pippo.txt.gz_Tape: unknown suffix -- ignored*

mv pippo.txt.gz_Tape pippo.txt.gz_tape
gunzip -S gz_Tape pippo.txt.gz_tape
* Works as expected *

I'm working with gzip-1.3.5-13.0.1.el5 but the error is the same on Solaris
and is not present on Mac OSX.

Is it a kwown problem? Will it be fixed?

ciao
meo&mauro